#! /bin/sh

# this script makes an Makefile.am file for including the side styles for
# cubetest and it's other images

SIDEPREFIX="cubetest/styles"
STYLEDIRS="cubetest/images ${SIDEPREFIX}/emblem ${SIDEPREFIX}/abstract ${SIDEPREFIX}/square ${SIDEPREFIX}/kde ${SIDEPREFIX}/casino cubetest/doc"

echo \# these are the different side decorations > Makefile.am
echo >> Makefile.am
echo EXTRA_DIST = cubetest makeMakefile.sh >> Makefile.am
echo nobase_data_DATA = \\ >> Makefile.am

for f in ${STYLEDIRS}; do
	for g in `ls ${f}`; do
		newfile=${f}/${g}
		if [ -f ${newfile} ]; then
			if [ -f $file ]; then
				echo ${file} \\ >> Makefile.am
			fi
			file=${newfile}
		fi
	done
done
if [ -f ${file} ]; then
	echo ${file} >> Makefile.am
fi
